Bug 120514 - redhat-config-packages bails out after prompting for CD
redhat-config-packages bails out after prompting for CD
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-packages (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-04-09 14:09 EDT by Håkan Lindqvist
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 13:57:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Håkan Lindqvist 2004-04-09 14:09:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040327 Firefox/0.8

Description of problem:
If I use "Add or Remove Packages" - redhat-config-packages to install
some software, and I need to change CDs, after changing CDs "Add or
Remove Packages" bails out. 
(If I after that re-run "Add or Remove Packages" and choose that same
package again, this time with the right CD in the drive from the
start, it works.) 
It seems that it could possibly be related to me having two
CD/DVD-drives in the system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have the wrong CD in the drive.
2. Run redhat-config-packages
3. Choose to install something.
4. Insert the correct CD when prompted.

Actual Results:  It pops up an error dialog saying "Error installing
packages There was an error installing packages. Exiting."

And in the terminal it prints (for example): 
"The file /mnt/cdrom/RedHat/RPMS/units-1.80-8.i386.rpm cannot be
opened. This is due to a missing file, a bad package, or bad media.
Press <return> to try again." 
It has the RHEL CD mounted on /mnt/cdrom1 and another CD in my other
drive mounted on /mnt/cdrom. Before running redhat-config-packages no
CDs were mounted.

If I rerun redhat-config-packages after this happens it will install
the package.

Expected Results:  It should have installed the package at

Additional info:

I have noticed that if I do it "the same way but opposite", ie have
the unrelated CD in cdrom1 and the RHEL CDs in cdrom, it seems to work
after changing CDs. So it seems only to happen when the second CDROM
drive is used.
Comment 1 Jeremy Katz 2005-09-21 13:57:03 EDT
Later releases should handle multiple CD drives better

Note You need to log in before you can comment on or make changes to this bug.